struct usb_string
Prev | Core Objects and Methods | Next

## Name

struct usb_string — wraps a C string and its USB id

## Synopsis

    struct usb_string {
      u8 id;
      const char * s;
    };

## Members

id

  the (nonzero) ID for this string

s

  the string, in UTF-8 encoding

## Description

If you're using `usb_gadget_get_string`, use this to wrap a string together with its ID.

Prev | Up | Next
usb_gadget_unregister_driver | Home | struct usb_gadget_strings